org.apache.catalina.tribes.group.interceptors

## Class NonBlockingCoordinator.CoordinationMessage

- java.lang.Object
- - org.apache.catalina.tribes.group.interceptors.NonBlockingCoordinator.CoordinationMessage

Enclosing class:
  NonBlockingCoordinator

    public static class NonBlockingCoordinator.CoordinationMessage
    extends Object

### Field Summary

Fields
`protected XByteBuffer` `buf`
`protected UniqueId` `id`
`protected MemberImpl` `leader`
`protected MemberImpl` `source`
`protected long` `timestamp` Deprecated. Unused - will be removed in Tomcat 8.0.x
`protected byte[]` `type`
`protected MemberImpl[]` `view`

### Constructor Summary

Constructors
Constructor and Description
`NonBlockingCoordinator.CoordinationMessage(MemberImpl leader, MemberImpl source, MemberImpl[] view, UniqueId id, byte[] type)`
`NonBlockingCoordinator.CoordinationMessage(XByteBuffer buf)`

### Method Summary

Methods
`XByteBuffer` `getBuffer()`
`byte[]` `getHeader()`
`UniqueId` `getId()`
`MemberImpl` `getLeader()`
`MemberImpl[]` `getMembers()`
`MemberImpl` `getSource()`
`byte[]` `getType()`
`void` `parse()`
`void` `write()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### buf

    protected XByteBuffer buf

#### leader

    protected MemberImpl leader

#### source

    protected MemberImpl source

#### view

    protected MemberImpl[] view

#### id

    protected UniqueId id

#### type

    protected byte[] type

#### timestamp

    @Deprecated
    protected long timestamp

Deprecated. Unused - will be removed in Tomcat 8.0.x

### Constructor Detail

#### NonBlockingCoordinator.CoordinationMessage

    public NonBlockingCoordinator.CoordinationMessage(XByteBuffer buf)

#### NonBlockingCoordinator.CoordinationMessage

    public NonBlockingCoordinator.CoordinationMessage(MemberImpl leader,
                                              MemberImpl source,
                                              MemberImpl[] view,
                                              UniqueId id,
                                              byte[] type)

### Method Detail

#### getHeader

    public byte[] getHeader()

#### getLeader

    public MemberImpl getLeader()

#### getSource

    public MemberImpl getSource()

#### getId

    public UniqueId getId()

#### getMembers

    public MemberImpl[] getMembers()

#### getType

    public byte[] getType()

#### getBuffer

    public XByteBuffer getBuffer()

#### parse

    public void parse()

#### write

    public void write()